package com.wasu.cs.model;

import java.io.Serializable;
import java.util.List;

/**
 * 兼容新CMS从经纬导入的数据结构新增的用于保存播放数据
 * 
 * @author danxingxi 2015/8/27
 * 
 */
public class DemandProgramColumn implements Serializable{
	
	private static final long serialVersionUID = -9017393007083105656L;
	
	/**请求结果码**/
	public int code;
	/**数据**/
	public Data data;
	/**附加消息**/
	public String message;
	
	
	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public Data getData() {
		return data;
	}

	public void setData(Data data) {
		this.data = data;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public class Data implements Serializable
	{
		private static final long serialVersionUID = -9017393007083105656L;
	    public List<Asset> assets;
	    public Cat cat ;
	    public int page ;
	    public int total;
		public List<Asset> getAssets() {
			return assets;
		}
		public void setAssets(List<Asset> assets) {
			this.assets = assets;
		}
		public Cat getCat() {
			return cat;
		}
		public void setCat(Cat cat) {
			this.cat = cat;
		}
		public int getPage() {
			return page;
		}
		public void setPage(int page) {
			this.page = page;
		}
		public int getTotal() {
			return total;
		}
		public void setTotal(int total) {
			this.total = total;
		}
	    
	}
	
	public class Asset implements Serializable
	{
		private static final long serialVersionUID = -9017393007083105656L;
		
		public int catId ;
	    public String datetime ;
	    public int id;
	    public String jsonUrl ;
	    public String layout ;
	    public String picUrl ;
	    public String summary;
	    public String title;
	    
		public int getCatId() {
			return catId;
		}
		public void setCatId(int catId) {
			this.catId = catId;
		}
		public String getDatetime() {
			return datetime;
		}
		public void setDatetime(String datetime) {
			this.datetime = datetime;
		}
		public int getId() {
			return id;
		}
		public void setId(int id) {
			this.id = id;
		}
		public String getJsonUrl() {
			return jsonUrl;
		}
		public void setJsonUrl(String jsonUrl) {
			this.jsonUrl = jsonUrl;
		}
		public String getLayout() {
			return layout;
		}
		public void setLayout(String layout) {
			this.layout = layout;
		}
		public String getPicUrl() {
			return picUrl;
		}
		public void setPicUrl(String picUrl) {
			this.picUrl = picUrl;
		}
		public String getSummary() {
			return summary;
		}
		public void setSummary(String summary) {
			this.summary = summary;
		}
		public String getTitle() {
			return title;
		}
		public void setTitle(String title) {
			this.title = title;
		}
	    
	}
	
	public class Cat implements Serializable
	{
		private static final long serialVersionUID = -9017393007083105656L;
		
	    public String bgColor;
	    public String bgImage;
	    public int catId ;
	    public String catName; 
	    public String nameColor; 
	    public String pcatName ;
	    public String pengName ;
	    public String picUrl ;
		public String getBgColor() {
			return bgColor;
		}
		public void setBgColor(String bgColor) {
			this.bgColor = bgColor;
		}
		public String getBgImage() {
			return bgImage;
		}
		public void setBgImage(String bgImage) {
			this.bgImage = bgImage;
		}
		public int getCatId() {
			return catId;
		}
		public void setCatId(int catId) {
			this.catId = catId;
		}
		public String getCatName() {
			return catName;
		}
		public void setCatName(String catName) {
			this.catName = catName;
		}
		public String getNameColor() {
			return nameColor;
		}
		public void setNameColor(String nameColor) {
			this.nameColor = nameColor;
		}
		public String getPcatName() {
			return pcatName;
		}
		public void setPcatName(String pcatName) {
			this.pcatName = pcatName;
		}
		public String getPengName() {
			return pengName;
		}
		public void setPengName(String pengName) {
			this.pengName = pengName;
		}
		public String getPicUrl() {
			return picUrl;
		}
		public void setPicUrl(String picUrl) {
			this.picUrl = picUrl;
		}
	    
	    
	}
	
	
}
